"""Serializers for the API app."""

from rest_framework import serializers

from apps.home import models


class VenueAddressSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.VenueAddress
        exclude = []


class VenueContactsSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.VenueContacts
        exclude = []


class VenueSerializer(serializers.ModelSerializer):

    address = VenueAddressSerializer()
    contacts = VenueContactsSerializer()

    class Meta:
        model = models.Venue
        exclude = []

