"""Admin models for the home app."""

from django.contrib import admin

from . import models


@admin.register(models.Angler)
class Angler(admin.ModelAdmin):
    """Admin class for the `Angler` model."""


@admin.register(models.AnglerGroup)
class AnglerGroup(admin.ModelAdmin):
    """Admin class for the `AnglerGroup` model."""


@admin.register(models.Waters)
class Waters(admin.ModelAdmin):
    """Admin class for the `Waters` model."""


@admin.register(models.VenueAddress)
class VenueAddress(admin.ModelAdmin):
    """Admin class for the `VenueAddress` model."""


@admin.register(models.VenueContacts)
class VenueContacts(admin.ModelAdmin):
    """Admin class for the `VenueContacts` model."""


@admin.register(models.Venue)
class Venue(admin.ModelAdmin):
    """Admin class for the `Venue` model."""


@admin.register(models.Match)
class Match(admin.ModelAdmin):
    """Admin class for the `Match` model."""


@admin.register(models.LeagueRule)
class LeagueRule(admin.ModelAdmin):
    """Admin class for the `LeagueRule` model."""


@admin.register(models.League)
class League(admin.ModelAdmin):
    """Admin class for the `League` model."""


@admin.register(models.Sponsor)
class Sponsor(admin.ModelAdmin):
    """Admin class for the `Sponsor` model."""


@admin.register(models.LeagueResult)
class LeagueResult(admin.ModelAdmin):
    """Admin class for the `LeagueResult` model."""
