"""Views for the home app."""

from django.shortcuts import render
from django.views.generic import TemplateView


class IndexView(TemplateView):
    """The index view of the home app."""

    template_name = "home/index.html"


class VenueWatersView(TemplateView):
    """Page for indexing Venues & Waters."""

    template_name = "home/venues.html"


class LeagueView(TemplateView):
    """Page for indexing Leagues."""

    template_name = "home/leagues.html"