"""URLs for the API app."""

from django.urls import path, include

from . import views

app_name = "api"

urlpatterns = [
    path("venues/", include([
        path("", views.VenueListView.as_view(), name="venues"),
        path("<int:pk>/", views.VenueDetailsView.as_view(), name="venue-detail")
    ]))
]
