"""URLs for the home app."""

from django.urls import path

from . import views

app_name = "home"

urlpatterns = [
    path("", views.IndexView.as_view(), name="index"),
    path("venues", views.VenueWatersView.as_view(), name="venues-waters"),
    path("leagues", views.LeagueView.as_view(), name="leagues")
]